Foreman - Feature #3510

As a GUI user, | would like to know what plugins are installed
10/25/2013 11:33 AM - Anonymous

Status: Closed

Priority: Normal

Assignee: Amos Benari

Category: Plugin integration

Target version: 1.4.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request:

Description

Related issues:

Related to Foreman - Feature #3588: Uninstall plugins - from GUI or command line New 11/06/2013
Related to Foreman - Feature #3709: update the environments pages to display ... Closed

Related to Foreman - Feature #3684: Add unique IDs to Foreman Ul menus Closed 11/18/2013
Related to Foreman - Feature #3838: Add ability to define a divider when decl... Closed 12/09/2013
Related to Hammer CLI - Feature #3956: Add plugin list command Closed

Blocked by Foreman - Bug #3712: Change develop versioning to indicate upcomin... Closed 11/21/2013

Associated revisions

Revision 611fd588 - 11/22/2013 03:32 PM - Amos Benari

fixes #3510 - plugin interface for registering a plugin, updated menu system

Revision a0e87b45 - 11/25/2013 08:49 AM - Ohad Levy

refs #3510 - ensure rescue statement works

History

#1 - 10/29/2013 02:06 PM - Dominic Cleal

- Status changed from New to Ready For Testing
- Assignee set to Amos Benari

- Target version set to 1.15.0

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/987

#2 - 11/06/2013 09:17 AM - Benjamin Papillon
- Related to Feature #3588: Uninstall plugins - from GUI or command line added

#3 - 11/12/2013 12:05 PM - Dominic Cleal
- Target version changed from 1.15.0 to 1.10.0

#4 - 11/21/2013 01:50 PM - Dominic Cleal

- Related to Feature #3709: update the environments pages to display puppet environments rather then just plain env added

#5 - 11/21/2013 04:55 PM - Dominic Cleal
- Blocked by Bug #3712: Change develop versioning to indicate upcoming release added

#6 - 11/22/2013 03:40 PM - Dominic Cleal
https://github.com/theforeman/foreman/pull/987

- Related to Feature #3684: Add unique IDs to Foreman Ul menus added

#7 - 11/22/2013 04:31 PM - Amos Benari
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 611fd5883d9ef6b1647fa257adab11a9f69650cb.

#8 - 11/22/2013 09:27 PM - Og Maciel

The sub-menu items all have unique IDs, which is awesome, but the first level menus (i.e. Monitor, Hosts, etc) don't. Could you also add IDs to
those?

#9 - 12/11/2013 10:18 AM - Dominic Cleal
- Related to Feature #3838: Add ability to define a divider when declaring plugin menu items added

#10 - 01/07/2014 10:20 AM - Dominic Cleal
- Related to Feature #3956: Add plugin list command added
